--- include/class.attachment.php	2009-01-12 23:15:12.042086912 +0200
+++ /usr/share/eventum/include/class.attachment.php	2009-02-05 02:04:13.534063686 +0200
@@ -28,15 +28,6 @@
 //
 
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.history.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.date.php");
-require_once(APP_INC_PATH . "class.status.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.workflow.php");
 
 /**
  * Class designed to handle all business logic related to attachments being
@@ -176,7 +167,7 @@
             $stmt .= " AND
                     iat_usr_id=$usr_id";
         }
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -193,7 +184,7 @@
                          WHERE
                             iaf_id=$iaf_id AND
                             iaf_iat_id=iat_id";
-                $attachment_id = $GLOBALS["db_api"]->dbh->getOne($stmt);
+                $attachment_id = Db_Helper::getInstance()->getOne($stmt);
 
                 $res = Attachment::getFileList($attachment_id);
                 if (@count($res) > 1) {
@@ -225,7 +216,7 @@
                  WHERE
                     iat_id=iaf_iat_id AND
                     iaf_id=$file_id";
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -258,7 +249,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_attachment
                  WHERE
                     iat_iss_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -293,7 +284,7 @@
             $stmt .= " AND
                     iat_usr_id=$usr_id";
         }
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -308,7 +299,7 @@
                          WHERE
                             iat_id=$iat_id AND
                             iat_iss_id=$issue_id";
-                $res = $GLOBALS["db_api"]->dbh->query($stmt);
+                $res = Db_Helper::getInstance()->query($stmt);
                 if (PEAR::isError($res)) {
                     Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                     return -1;
@@ -341,7 +332,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_attachment_file
                  WHERE
                     iaf_id=" . $iaf_id;
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -367,7 +358,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_attachment_file
                  WHERE
                     iaf_iat_id=$attachment_id";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -414,7 +405,7 @@
         $stmt .= "
                  ORDER BY
                     iat_created_date ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -422,7 +413,7 @@
             for ($i = 0; $i < count($res); $i++) {
                 $res[$i]["iat_description"] = Link_Filter::processText(Issue::getProjectID($issue_id), nl2br(htmlspecialchars($res[$i]["iat_description"])));
                 $res[$i]["files"] = Attachment::getFileList($res[$i]["iat_id"]);
-                $res[$i]["iat_created_date"] = Date_API::getFormattedDate($res[$i]["iat_created_date"]);
+                $res[$i]["iat_created_date"] = Date_Helper::getFormattedDate($res[$i]["iat_created_date"]);
 
                 // if there is an unknown user, user that instead of the user_full_name
                 if (!empty($res[$i]["iat_unknown_user"])) {
@@ -530,7 +521,7 @@
                     '" . Misc::escapeString($filetype) . "',
                     '" . Misc::escapeString($blob) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -577,7 +568,7 @@
         $stmt .=") VALUES (
                     $issue_id,
                     $usr_id,
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     '" . Misc::escapeString($description) . "',
                     '" . Misc::escapeString($attachment_status) . "'";
         if ($unknown_user != false) {
@@ -587,7 +578,7 @@
             $stmt .= ", " . Misc::escapeInteger($associated_note_id);
         }
         $stmt .= " )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
--- include/class.authorized_replier.php	2009-01-12 23:15:12.032084245 +0200
+++ /usr/share/eventum/include/class.authorized_replier.php	2009-02-05 02:15:18.594196189 +0200
@@ -29,7 +29,6 @@
 // @(#) $Id: class.authorized_replier.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.user.php");
 
 /**
  * Class designed to handle adding, removing and viewing authorized repliers for an issue.
@@ -67,7 +66,7 @@
                  WHERE
                     iur_iss_id=" . Misc::escapeInteger($issue_id) . " AND
                     iur_usr_id=usr_id";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array(
@@ -113,7 +112,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_user_replier
                  WHERE
                     iur_id IN(" . join(",", $iur_ids) . ")";
-        $issue_id = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $issue_id = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($issue_id)) {
             Error_Handler::logError(array($issue_id->getMessage(), $issue_id->getDebugInfo()), __FILE__, __LINE__);
         }
@@ -124,7 +123,7 @@
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_user_replier
                      WHERE
                         iur_id IN(" . join(",", $iur_ids) . ")";
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return "";
@@ -149,7 +148,7 @@
         if (Authorized_Replier::isAuthorizedReplier($issue_id, $email)) {
             return -1;
         } else {
-            $email = strtolower(Mail_API::getEmailAddress($email));
+            $email = strtolower(Mail_Helper::getEmailAddress($email));
 
             $workflow = Workflow::handleAuthorizedReplierAdded(Issue::getProjectID($issue_id), $issue_id, $email);
             if ($workflow === false) {
@@ -174,7 +173,7 @@
                         " . APP_SYSTEM_USER_ID . ",
                         '" . Misc::escapeString($email) . "'
                      )";
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return -1;
@@ -214,7 +213,7 @@
                     " . Misc::escapeInteger($issue_id) . ",
                     " . Misc::escapeInteger($usr_id) . "
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -241,7 +240,7 @@
     {
         // XXX: Add caching
 
-        $email = strtolower(Mail_API::getEmailAddress($email));
+        $email = strtolower(Mail_Helper::getEmailAddress($email));
         // first check if this is an actual user or just an email address
         $usr_id = User::getUserIDByEmail($email, true);
         if (!empty($usr_id)) {
@@ -261,7 +260,7 @@
                  WHERE
                     iur_iss_id=" . Misc::escapeInteger($issue_id) . " AND
                     iur_email='" . Misc::escapeString($email) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -292,7 +291,7 @@
                  WHERE
                     iur_iss_id = " . Misc::escapeInteger($issue_id) . " AND
                     iur_usr_id = " . Misc::escapeInteger($usr_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -323,7 +322,7 @@
                  WHERE
                     iur_usr_id = usr_id AND
                     iur_id = " . Misc::escapeInteger($iur_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -353,7 +352,7 @@
                  WHERE
                     iur_iss_id = " . Misc::escapeInteger($issue_id) . " AND
                     (iur_email = '" . Misc::escapeString($email) . "' OR usr_email = '" . Misc::escapeString($email) . "')";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return 0;
--- include/class.auth.php	2009-01-12 23:15:12.049164418 +0200
+++ /usr/share/eventum/include/class.auth.php	2009-02-05 02:10:43.107351422 +0200
@@ -29,12 +29,8 @@
 // @(#) $Id: class.auth.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.project.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.customer.php");
-require_once(APP_INC_PATH . "class.date.php");
-require_once(APP_CONFIG_PATH . "private_key.php");
+global $private_key;
+require_once APP_CONFIG_PATH . "/private_key.php";
 
 /**
  * Class to handle authentication issues.
@@ -56,7 +52,7 @@
      */
     function saveLoginAttempt($email, $type, $extra = false)
     {
-        $msg = Date_API::getCurrentDateGMT() . " - Login attempt by '$email' was ";
+        $msg = Date_Helper::getCurrentDateGMT() . " - Login attempt by '$email' was ";
         if ($type == 'success') {
             $msg .= "successful.\n";
         } else {
--- include/class.category.php	2009-01-12 23:15:12.055441962 +0200
+++ /usr/share/eventum/include/class.category.php	2009-02-05 02:03:28.770738529 +0200
@@ -29,9 +29,6 @@
 // @(#) $Id: class.category.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.validation.php");
 
 /**
  * Class to handle project category related issues.
@@ -57,7 +54,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_category
                  WHERE
                     prc_id=" . Misc::escapeInteger($prc_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -82,7 +79,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_category
                  WHERE
                     prc_prj_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -106,7 +103,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_category
                  WHERE
                     prc_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -136,7 +133,7 @@
                  WHERE
                     prc_prj_id=" . Misc::escapeInteger($_POST["prj_id"]) . " AND
                     prc_id=" . Misc::escapeInteger($_POST["id"]);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -166,7 +163,7 @@
                     " . Misc::escapeInteger($_POST["prj_id"]) . ",
                     '" . Misc::escapeString($_POST["title"]) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -195,7 +192,7 @@
                     prc_prj_id=" . Misc::escapeInteger($prj_id) . "
                  ORDER BY
                     prc_title ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -230,7 +227,7 @@
                     prc_prj_id=" . Misc::escapeInteger($prj_id) . "
                  ORDER BY
                     prc_title ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -256,7 +253,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_category
                  WHERE
                     prc_id=" . Misc::escapeInteger($prc_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
--- include/class.customer.php	2009-01-12 23:15:12.035414975 +0200
+++ /usr/share/eventum/include/class.customer.php	2009-02-05 02:04:13.541563871 +0200
@@ -29,7 +29,6 @@
 // @(#) $Id: class.customer.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . 'class.misc.php');
 
 // Constants used by customer class.
 define("CUSTOMER_EXCLUDE_EXPIRED", 1);
@@ -86,7 +85,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project
                  ORDER BY
                     prj_id";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -117,7 +116,6 @@
                 $file_name_chunks = explode(".", $backend_class);
                 $class_name = $file_name_chunks[1] . "_Customer_Backend";
 
-                require_once(APP_INC_PATH . "customer/$backend_class");
 
                 $setup_backends[$prj_id] = new $class_name;
                 $setup_backends[$prj_id]->connect();
@@ -1027,7 +1025,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "user
                  WHERE
                     cam_usr_id=usr_id";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -1063,7 +1061,7 @@
                     " . Misc::escapeInteger($_POST['manager']) . ",
                     '" . Misc::escapeString($_POST['type']) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -1088,7 +1086,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "customer_account_manager
                  WHERE
                     cam_id=" . Misc::escapeInteger($cam_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -1115,7 +1113,7 @@
                     cam_type='" . Misc::escapeString($_POST['type']) . "'
                  WHERE
                     cam_id=" . $_POST['id'];
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -1139,7 +1137,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "customer_account_manager
                  WHERE
                     cam_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -1170,7 +1168,7 @@
                     cam_usr_id=usr_id AND
                     cam_prj_id=" . Misc::escapeInteger($prj_id) . " AND
                     cam_customer_id=" . Misc::escapeInteger($customer_id);
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -1286,7 +1284,7 @@
                     cno_note='" . Misc::escapeString($note) . "',
                     cno_prj_id=" . Misc::escapeInteger($prj_id) . ",
                     cno_customer_id=" . Misc::escapeInteger($customer_id) . ",
-                    cno_updated_date='" . Date_API::getCurrentDateGMT() . "'
+                    cno_updated_date='" . Date_Helper::getCurrentDateGMT() . "'
                  WHERE
                     cno_id=" . Misc::escapeInteger($cno_id);
         $res = $GLOBALS['db_api']->dbh->query($stmt);
@@ -1320,8 +1318,8 @@
                  ) VALUES (
                     " . Misc::escapeInteger($prj_id) . ",
                     " . Misc::escapeInteger($customer_id) . ",
-                    '" . Date_API::getCurrentDateGMT() . "',
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     '" . Misc::escapeString($note) . "'
                  )";
         $res = $GLOBALS['db_api']->dbh->query($stmt);
--- include/class.customer_stats_report.php	2009-01-12 23:15:12.052089091 +0200
+++ /usr/share/eventum/include/class.customer_stats_report.php	2009-02-05 02:03:28.787387782 +0200
@@ -29,9 +29,6 @@
 // @(#) $Id: class.customer_stats_report.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.time_tracking.php");
-require_once(APP_PEAR_PATH . "Math/Stats.php");
 
 /**
  * The Customer Stats report will be too complex to group with the rest of
@@ -329,7 +326,7 @@
                     " . $this->getWhereClause("iss_customer_id", "iss_created_date") . "
                  GROUP BY
                     iss_customer_id";
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -367,7 +364,7 @@
                     " . $this->getWhereClause("iss_customer_id", "sup_date") . "
                  GROUP BY
                     sup_iss_id";
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -402,7 +399,7 @@
                     " . $this->getWhereClause("iss_customer_id", "sup_date") . "
                  GROUP BY
                     sup_iss_id";
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -475,7 +472,7 @@
             $stmt .= "\n AND ttr_ttc_id = $ttc_id";
         }
         $stmt .= "\nAND " . $this->getWhereClause("iss_customer_id", "ttr_created_date");
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -516,7 +513,7 @@
                  WHERE
                     iss_closed_date IS NOT NULL AND
                     " . $this->getWhereClause("iss_customer_id", array("iss_created_date", "iss_closed_date"));
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -556,7 +553,7 @@
                  WHERE
                     iss_first_response_date IS NOT NULL AND
                     " . $this->getWhereClause("iss_customer_id", array("iss_created_date", "iss_closed_date"));
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
